User (with userID)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint returns all the relevant data for a specific user, including:

  • The user's wallets, including the tickets they contain.
  • The tickets inside custom wallets registered to the user.

The following example shows a payload returned by this endpoint:

{
    "status": "ok",
    "data": {
        "userId": "user-abc",
        "userUuid": "affbab56-2dad-4fcf-82c8-e7450c57a0d4",
        "userWallets": [
            {
                "address": "0xF8fcB0F4Caec2d7448c2bb579122d246f31A934D",
                "tickets": [
                    {
                        "id": "POLYGON-1-1",
                        "blockchainHumanId": "POLYGON",
                        "eventIndex": 1,
                        "tokenId": 1,
                        "eventContract": "0x6afa4c6d3c8c8c860f7bcc13c9f9cb2721cc09b8"
                    },
                    {
                        "id": "POLYHON-3-3",
                        "blockchainHumanId": "POLYGON",
                        "eventIndex": 3,
                        "tokenId": 3,
                        "eventContract": "0x5BFA4c6d3C8c8c860F7BcC13C9f9CB2721cC09b8"
                    }
                ]
            }
        ],
        "customWalletTickets": [
            {
                "id": "POLYGON-3-5",
                "blockchainHumanId": "POLYGON",
                "eventIndex": 3,
                "tokenId": 2,
                "eventContract": "0x5BFA4c6d3C8c8c860F7BcC13C9f9CB2721cC09b8",
                "initialAddress": "0x21ca65b9c3A943b172EedaC10501Eca483A1Ed00"
            }
        ]
    }
}

The returned payload will contain the following fields:

keydescription
statusAlways ok, this might change in the future
datadata block (see below)

Data block

keydescription
userIdThe user ID
userUuidThe user Uuid (Only available when the user has an user wallet)
userWalletsArray of user wallet blocks (see below)
customWalletTicketsArray of ticket blocks (see below) that were initially sold to the queried user.

User wallet block

keydescription
addressThe blockchain address of the wallet
ticketsArray of tickets blocks (see below) located in the wallet

Ticket block

keydescription
idThe NFT ID of the ticket
blockchainHumanIdThe human ID of the blockchain on which the ticket is located
eventIndexThe event index of the ticket
tokenIdThe token ID of the ticket
eventContractThe blockchain address of the tickets event
initialAddressThe initial address where the ticket was sent. The user might have moved the ticket to a different address after the event completed, this isn't tracked by this endpoint.
Path Params
string
required

The user ID

Query Params
string
Defaults to polygon

Filter the result on blockchain human ID (Only valid in combination with eventIndex)

string

Filter the result on eventIndex (Only valid in combination with blockchainHumanId)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json